Subject: bug#78520: 31.0.50; Performance issue in dired+isearch with dired-isearch-filenames

From: Juri Linkov <[email-masked]>
Date: Wed, 28 May 2025 20:15:56 +0300

tags 78520 = fixed
thanks

>> Unfortunately, I don't remember if this slower implementation is
>> required for non-regexp case.  Maybe let's revert it for non-regexp.
>
> A big part of the discussion was in Bug#14013.  I've read most of the
> discussion again but found no clue.  So hopefully: no, not required.
>
> I'm now looking at `search-within-boundaries'.  Do you think we could
> fall back to a more efficient algorithm even when `subregexp' is nil
> (that seems to work for me)?

Thanks for the idea of optimization.  Now it's pushed to master.
Please check if everything is correct.

Also thanks Ergus for the request.